<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="primitive.css">
    <script src="https://code.jquery.com/jquery-3.7.0.js"
        integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM=" crossorigin="anonymous"></script>
    <title>Task38.50</title>
</head>

<body>
    <div class="small-container">
        <h1>New Item App</h1>

        <form>
            <input id="item" type="text" placeholder="New item">
        </form>

        <h2>Items</h2>
        <ul id="new-item"></ul>

        <button>Clear All</button>
    </div>

</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
    //sự kiện khi bấm nút Enter
    const form = document.querySelector('form');
    const ul = document.querySelector('ul');
    const button = document.querySelector('button');
    const input = document.getElementById('item');
    let itemsArray = localStorage.getItem('items') ? JSON.parse(localStorage.getItem('items')) : [];

    localStorage.setItem('items', JSON.stringify(itemsArray));
    const data = JSON.parse(localStorage.getItem('items'));

    const liMaker = (text) => {
        const li = document.createElement('li');
        li.textContent = text;
        ul.appendChild(li);
    }

    form.addEventListener('submit', function (e) {
        e.preventDefault();

        itemsArray.push(input.value);
        localStorage.setItem('items', JSON.stringify(itemsArray));
        liMaker(input.value);
        input.value = "";
    });

    data.forEach(item => {
        liMaker(item);
    });

    button.addEventListener('click', function () {
        localStorage.clear();
        while (ul.firstChild) {
            ul.removeChild(ul.firstChild);
        }
        itemsArray = [];
    });
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
</script>

</html>